Bug 108372 - Missing API for Java specific refactorings
Missing API for Java specific refactorings
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Refactoring
6.x
All Windows XP
: P2 (vote)
: 6.x
Assigned To: Jan Becicka
issues@java
: API, API_REVIEW_FAST
Depends on: 112270
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-28 10:32 UTC by Jan Becicka
Modified: 2007-08-21 14:39 UTC (History)
7 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Becicka 2007-06-28 10:32:09 UTC
Refactoring API is too general for (some) Java specific use cases.
Refactoring/java must provide Java-specific API extension to general Refactoring API.
Comment 1 Jan Becicka 2007-07-25 14:46:33 UTC
API is available in refactoring/java module.
I'd like to make following packages public:
org.netbeans.modules.refactoring.java.api
org.netbeans.modules.refactoring.java.api.ui
org.netbeans.modules.refactoring.java.spi
org.netbeans.modules.refactoring.java.spi.ui

This is not a brand new API. This API is Java specific extension to current Refactoring API describing Java specific
Refactorings (Encapsulate, Extract SuperClass, Extract Interface, Inner To Outer Refactoring, Pull Up, Push Down and
Change Method Parameters) + common utility classes useful for further refactoring features.

This API will be under development.
Comment 2 _ tboudreau 2007-07-25 15:53:59 UTC
Out of curiousity, does it include any of the patches I gave you a month or two ago?  Specifically the Action subclass seems like it would be genuinely useful 
and save a bunch of work for refactoring writers; the other parts are nice-to-have but less important.
Comment 3 Jan Becicka 2007-07-25 21:27:30 UTC
tboudreau: Yes it does. It includes your action and also reduced version of JavaRefactoringUtils.
Comment 4 _ tboudreau 2007-07-25 21:54:50 UTC
Great!  Looking forward to it and to getting back to working on refactorings!
Comment 5 Jan Becicka 2007-08-08 08:33:01 UTC
Reassigning back. Will commit as soon as issue 112270 will be resolved.
Comment 6 Jan Becicka 2007-08-21 14:39:40 UTC
Checking in project.xml;
/cvs/refactoring/java/nbproject/project.xml,v  <--  project.xml
new revision: 1.12; previous revision: 1.11
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo